/*
    RD_DEMO2.PRG

    Demonstration of time out feature.  The message "Timed Out!" is displayed
    every 3/18th of a second period of no response from the user.
*/

#include "read.ch"

//---------
func main()
local getlist[0]
local cShort := "Short string"
local cLong := "This is a very long string.  It is '@S PICTUREd'.  This is the last of three sentences."
local nNumber := 9
local lLogical := .t.
local dDate := date()
local aArray := { "Frankie", "Library" }
local nT := 10, nL := 10, nB := 18, nR := 50
local cColor := setcolor( if( iscolor(), "W+/BG, GR+/R,,, N/R", nil ) )
local aScn, aScn2
local bConfig := {|e| ADr_timedout( e, { 3, {||ADmessage( {"Timed Out!"} )} } )}

cls
aScn = ADbox( nT, nL, nB, nR )
aScn2 = ADmessage( { "The Read times out every 3 clock ticks of idle period" },;
                   20,, .f., .f. )
@nT+1, nL+2 say "Short String" adget cShort
@nT+2, nL+2 say "Long String " adget cLong picture "@S24"
@nT+3, nL+2 say "Numeric     " adget nNumber
@nT+4, nL+2 say "Logical     " adget lLogical
@nT+5, nL+2 say "Date        " adget dDate
@nT+6, nL+2 say "Array Elem1 " adget aArray[1]
@nT+7, nL+2 say "Array Elem2 " adget aArray[2]
ADread( getlist, bConfig )
ADrestscn( aScn2 )
ADrestscn( aScn )
setcolor( cColor )
return nil


