/*
        SYNTAX.RD
*/


ADread( <getlist>, [bConfig], [nInitGet], [lKill] ) --> <aReadRetval>
---------------------------------------------------------------------
<getlist> is the array of Get objects to read.

[bConfig]

[nInitGet] is the numeric index position of the Get to initially focus.
Defaults to 1.

[lKill] is a logical value.  If it is FALSE, the Read engine created by
ADread() is preserved alive, and may be reactivated using the API,
ADr_again().  Defaults to TRUE.


<aReadRetval> is the return value.  It is an array of the following:
structure:

   1 - the numeric identifier of the Read engine created by ADread().
       This value is nil if ADread() has not been configured to preserve
       the engine at exit.  By default is is automatically killed.  The
       engine identifier is the gateway to reconfiguring the behaviour
       of ADread().  See Config.rd for a full discussion of how to
       change it behaviour via the various APIs.

   2 - is the numeric exit code.  It is equal to the inkey() code of the
       exit key unless:
          a. ADread was exited with the mouse right button, in which case
             its value is RX_MOUSE.
          b. ADread was exited because SET CONFIRM was FALSE, and the
             current Get is the last Get, and it exited when the Get edit
             buffer was fully filled.  The exit code is then RX_NOCONFIRM.
          c. ADread was programmatically aborted.  (RX_ABORT).
          d. ADread was programmatically saved/exited.  (RX_SAVE).

          NOTE: RX_MOUSE, RX_NOCONFIRM, RX_ABORT and RX_SAVE are #DEFINEd
                in Read.ch.
